> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new persona



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json post /persona
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /persona:
    post:
      tags:
        - Persona
      summary: Create a new persona
      requestBody:
        description: The persona input.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePersonaInput'
          text/json:
            schema:
              $ref: '#/components/schemas/CreatePersonaInput'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CreatePersonaInput'
      responses:
        '200':
          description: Success
components:
  schemas:
    CreatePersonaInput:
      type: object
      properties:
        personaName:
          type: string
          description: The name of the persona
          nullable: true
        description:
          type: string
          description: The description of the persona
          nullable: true
        voiceStyles:
          type: string
          description: The voice styles of the persona
          nullable: true
        howToRespond:
          type: string
          description: The how to respond of the persona
          nullable: true
        typoPercent:
          type: integer
          description: The typo percent of the persona
          format: int32
        breakupLargeMessagePercent:
          type: integer
          description: The breakup large message percent of the persona
          format: int32
        responseTime:
          type: string
          description: The response time of the persona
          nullable: true
        responseDelay:
          type: integer
          description: The response delay of the persona
          format: int32
        aiProviderPreferences:
          type: array
          items:
            type: string
          description: The AI provider preferences of the persona
          nullable: true
        color:
          type: string
          description: The color of the persona
          nullable: true
        imageData:
          type: string
          description: The image data of the persona
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````